Bug 1029058 - [abrt] icaro-1.0.2-3.fc20: motor.py:26:<module>:ImportError: No module named rsvg
[abrt] icaro-1.0.2-3.fc20: motor.py:26:<module>:ImportError: No module named ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: icaro (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eduardo Echeverria
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:043654b8f00403a00d5ac392e44...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 10:00 EST by Alex Irmel Oviedo Solis
Modified: 2015-03-01 01:50 EST (History)
4 users (show)

See Also:
Fixed In Version: icaro-1.0.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-01 01:49:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.44 KB, text/plain)
2013-11-11 10:00 EST, Alex Irmel Oviedo Solis
no flags Details
File: environ (1.25 KB, text/plain)
2013-11-11 10:00 EST, Alex Irmel Oviedo Solis
no flags Details

  None (edit)
Description Alex Irmel Oviedo Solis 2013-11-11 10:00:48 EST
Description of problem:
Running the icaro from terminal I get this error:

Traceback (most recent call last):
  File "/usr/share/icaro/main.py", line 32, in <module>
    from motor import MotorCairo
  File "/usr/share/icaro/motor.py", line 26, in <module>
    import rsvg
ImportError: No module named rsvg

Version-Release number of selected component:
icaro-1.0.2-3.fc20

Additional info:
reporter:       libreport-2.1.9
cmdline:        python /usr/share/icaro/main.py
executable:     /usr/share/icaro/main.py
kernel:         3.11.7-300.fc20.i686
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
#1 <module> in /usr/share/icaro/motor.py:26
#2 <module> in /usr/share/icaro/main.py:32
Comment 1 Alex Irmel Oviedo Solis 2013-11-11 10:00:56 EST
Created attachment 822447 [details]
File: backtrace
Comment 2 Alex Irmel Oviedo Solis 2013-11-11 10:00:59 EST
Created attachment 822448 [details]
File: environ
Comment 3 vpassini 2014-06-07 19:02:30 EDT
Another user experienced a similar problem:

After click to execute , appeared a crash  report.

reporter:       libreport-2.2.2
cmdline:        python /usr/share/icaro/main.py
executable:     /usr/share/icaro/main.py
kernel:         3.14.4-200.fc20.i686
package:        icaro-1.0.3-1.fc20
reason:         motor.py:26:<module>:ImportError: No module named rsvg
runlevel:       N 5
type:           Python
uid:            1000
Comment 4 Emiliano Dalla Verde Marcozzi 2014-07-23 20:50:29 EDT
This is fixed by installing gnome-python2-rsvg, for example at fedora 20 (x84_64):
sudo yum install gnome-python2-rsvg.x86_64
Surely this dependency should be listed in the rpm-spec file.
Comment 5 Fedora Update System 2015-01-11 00:17:55 EST
icaro-1.0.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/icaro-1.0.4-1.fc21
Comment 6 Fedora Update System 2015-01-11 00:19:24 EST
icaro-1.0.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/icaro-1.0.4-1.fc20
Comment 7 Fedora Update System 2015-01-12 18:59:47 EST
Package icaro-1.0.4-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing icaro-1.0.4-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0572/icaro-1.0.4-1.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2015-03-01 01:49:50 EST
icaro-1.0.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-03-01 01:50:33 EST
icaro-1.0.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.